package com.gree.mall.manager.annotation;

import java.lang.annotation.*;

@Target({ElementType.FIELD,ElementType.TYPE})
@Retention(value = RetentionPolicy.RUNTIME)
@Documented
public @interface ZfireField {

    String tbName() default "";//表简称或全称
    String colName() default "";//表字段
    String type() default "input";//input=输入框 select=下拉框
    String frontCode() default "";//前端特定用
    String fixed() default ""; //left固定左侧，right固定右侧，默认不固定
    boolean pk() default false; //是否为列表主键id
    boolean isShow() default true;
    boolean isTotal() default false;//汇总
    boolean hide() default false;
    boolean isQuery() default true;//是否支持查询
    boolean multiple() default false;//是否支持多选
    boolean isCutting() default true;//是否支持切割
    int sortNum() default 999;

    boolean ignoreSelect() default false;//是否忽略查询该字段

}
